import * as tslib_1 from "tslib";
import { IgrStrategyBasedIndicator } from './igr-strategy-based-indicator';
import { CustomIndicator } from "./CustomIndicator";
var IgrCustomIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(IgrCustomIndicator, _super);
    function IgrCustomIndicator(props) {
        return _super.call(this, props) || this;
    }
    IgrCustomIndicator.prototype.createImplementation = function () {
        return new CustomIndicator();
    };
    Object.defineProperty(IgrCustomIndicator.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    return IgrCustomIndicator;
}(IgrStrategyBasedIndicator));
export { IgrCustomIndicator };
